// Persistence of Vision Ray Tracer Scene Include File
// File: camera.inc
// Desc: This include file is for the camera.
// Auth: Brickman Brick
//

#local old_cam = camera {
  location  <25.0, 500, -200>
  direction 1.5*z
  right     x*image_width/image_height
  look_at   <125.0, 0.0, 30.0>
} 

#local x_midden = (tb_x_min + tb_x_max) / 2;
#local z_midden = (tb_z_min + tb_z_max) / 2;
#local delta_x = tb_x_max - tb_x_min;
#local delta_z = tb_z_max - tb_z_min;

#local cam_height = ((max (delta_x, delta_z) + 16) / 2) / tan (radians (33));

#local new_cam = camera {
	location <x_midden, cam_height, z_midden>
	look_at <x_midden, 0, z_midden>
};

#local newer_cam = camera {
	rotate <15 - (1.0 * clock), 0, 0>
	location <0, cam_height, 0>
	look_at <0, 0, 0>
	translate <x_midden, 0, z_midden>
	};

#local x_bird_cam = camera {
	#local camera_location = <x_midden, cam_height, z_midden>;
	location camera_location
	look_at <x_midden, 0, z_midden>
	};

#local y_bird_cam = camera {
	#local camera_location = <x_midden, cam_height, z_midden>;
	location camera_location
	look_at <x_midden, 0, z_midden>
	translate -camera_location
	rotate <0, 90, 0>
	translate camera_location
	};

//camera { newer_cam }
camera { x_bird_cam }
