// Persistence of Vision Ray Tracer Scene Description File

#version 3.6;

#include "colors.inc"

global_settings {
  assumed_gamma 1.0
  max_trace_level 5
}

// ----------------------------------------

light_source {
  <0, 0, 0>            // light's position (translated below)
  color rgb <1, 1, 1>  // light's color
  translate <-30, 30, -30>
}

// ----------------------------------------

#include "scenery.inc"

#declare write_log_file = off; // on or off
#if (write_log_file)
	#fopen LOGFILE "treinbaan.log" append
#end

// define common variables
#declare RAILROAD_LAYOUT_FILE = "treinbaan_10.txt";

#include "treinbaan.inc"
#include "camera.inc"

// undefine common variables
#undef RAILROAD_LAYOUT_FILE

#if (write_log_file)
	#fclose LOGFILE
#end
